FreeMat

- Main Page
- Related Pages

vtkXMLPUnstructuredGridReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPUnstructuredGridReader reads the PVTK XML UnstructuredGrid file format. This reads the parallel format's summary file and then uses vtkXMLUnstructuredGridReader to read data from the individual UnstructuredGrid piece files. Streaming is supported. The standard extension for this reader's file format is "pvtu".

To create an instance of class vtkXMLPUnstructuredGridReader, simply invoke its constructor as follows

      obj = vtkXMLPUnstructuredGridReader

# Methods

The class vtkXMLPUnstructuredGridReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPUnstructuredGridReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPUnstructuredGridReader = obj.NewInstance ()`
- `vtkXMLPUnstructuredGridReader = obj.SafeDownCast (vtkObject o)`
- `vtkUnstructuredGrid = obj.GetOutput ()` - Get the reader's output.
- `vtkUnstructuredGrid = obj.GetOutput (int idx)` - Get the reader's output.